%define upstream_name    Lingua-EN-NameParse
%define upstream_version 1.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Manipulate persons name
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Parse::RecDescent)
BuildArch:  noarch

%description
This module takes as input a person or persons name in free format text
such as,

    Mr AB & M/s CD MacNay-Smith
    MR J.L. D'ANGELO
    Estate Of The Late Lieutenant Colonel AB Van Der Heiden

and attempts to parse it. If successful, the name is broken down into
components and useful functions can be performed such as :

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENCE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.380.0-3.mga9
+ Revision: 1811044
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.380.0-2.mga8
+ Revision: 1519993
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Oct 30 2018 tv <tv> 1.380.0-1.mga7
+ Revision: 1326668
- update to 1.38

* Thu Sep 20 2018 umeabot <umeabot> 1.370.0-2.mga7
+ Revision: 1284500
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.370.0-1.mga7
+ Revision: 1253966
- update to 1.37

* Tue Oct 03 2017 tv <tv> 1.360.0-2.mga7
+ Revision: 1165177
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 1.360.0-1.mga7
+ Revision: 1141467
- update to 1.36

* Sun Jun 19 2016 pterjan <pterjan> 1.330.0-3.mga6
+ Revision: 1029146
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.330.0-2.mga6
+ Revision: 966294
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.330.0-1.mga6
+ Revision: 843241
- update to 1.33

* Sat Oct 18 2014 umeabot <umeabot> 1.320.0-4.mga5
+ Revision: 787989
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.320.0-3.mga5
+ Revision: 746994
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.320.0-2.mga5
+ Revision: 685207
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 1.320.0-1.mga5
+ Revision: 581203
- update to 1.32

* Sat Oct 19 2013 umeabot <umeabot> 1.310.0-2.mga4
+ Revision: 528711
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.310.0-1.mga4
+ Revision: 447008
- update to 1.31

* Sun Jan 13 2013 umeabot <umeabot> 1.300.0-2.mga3
+ Revision: 369011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 shlomif <shlomif> 1.300.0-1.mga3
+ Revision: 304766
- imported package perl-Lingua-EN-NameParse


* Fri Oct 12 2012 cpan2dist 1.30-1mga
- initial mageia release, generated with cpan2dist
